
import { pgTable, integer, varchar, text, decimal, real } from "drizzle-orm/pg-core";
import { sql } from "drizzle-orm";
import { timestamps } from "./helpers/columns.helpers";

export const psa = pgTable("psa", {
	sku: varchar("SKU", { length: 50 }),
	manufacturerId: varchar("MANUFACTURER_ID", { length: 50 }),
	brandName: varchar("BRAND_NAME", { length: 50 }),
	productName: varchar("PRODUCT_NAME", { length: 255 }),
	longDescription: text("LONG_DESCRIPTION"),
	shortDescription: varchar("SHORT_DESCRIPTION", { length: 50 }),
	department: varchar("DEPARTMENT", { length: 50 }),
	category: varchar("CATEGORY", { length: 50 }),
	subcategory: varchar("SUBCATEGORY", { length: 50 }),
	thumbUrl: varchar("THUMB_URL", { length: 50 }),
	imageUrl: varchar("IMAGE_URL", { length: 50 }),
	buyLink: varchar("BUY_LINK", { length: 128 }),
	keywords: varchar("KEYWORDS", { length: 50 }),
	reviews: varchar("REVIEWS", { length: 50 }),
	retailPrice: real("RETAIL_PRICE"),
	salePrice: real("SALE_PRICE"),
	brandPageLink: varchar("BRAND_PAGE_LINK", { length: 50 }),
	brandLogoImage: varchar("BRAND_LOGO_IMAGE", { length: 50 }),
	productPageViewTracking: varchar("PRODUCT_PAGE_VIEW_TRACKING", { length: 256 }),
	parentGroupId: varchar("PARENT_GROUP_ID", { length: 50 }),
	fineline: varchar("FINELINE", { length: 50 }),
	superfineline: varchar("SUPERFINELINE", { length: 200 }),
	modelnumber: varchar("MODELNUMBER", { length: 50 }),
	caliber: varchar("CALIBER", { length: 200 }),
	upc: varchar("UPC", { length: 100 }),
	mediumImageUrl: varchar("MEDIUM_IMAGE_URL", { length: 50 }),
	productContentWidget: varchar("PRODUCT_CONTENT_WIDGET", { length: 256 }),
	googleCategorization: varchar("GOOGLE_CATEGORIZATION", { length: 50 }),
	itemBasedCommission: varchar("ITEM_BASED_COMMISSION", { length: 50 }),
});